Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema.content
Class SpecialContent

    java.lang.Object
      org.deegree.io.datastore.schema.content.SpecialContent

All Implemented Interfaces:
  FunctionParam

    public class SpecialContent

extends Object
implements FunctionParam

Special content class that allows to refer to parameters of the `Query` or other properties of the environment.

Currently defined variables:

Variable name | Description
--- | ---
$QUERY.BBOX | Bounding box of the query (null if it is not present).

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Nested Class Summary
`static class` | `SpecialContent.VARIABLE` Known variables.

Field Summary
`static String` | `QUERY_BBOX_NAME` Bounding box of the query (null if it is not present).

Constructor Summary
`SpecialContent(String variableName)` Initializes a newly created `SpecialContent` object so that it represents the given variable.

Method Summary
`static String[]` | `getKnownVariables()` Returns all known variable names.
`int` | `getSRS()` Returns the vendor dependent descriptor for the SRS of the associated geometry.
`SpecialContent.VARIABLE` | `getVariable()` Returns the `SpecialContent.VARIABLE`.
`void` | `setSRS(int internalSRS)` Sets the vendor dependent descriptor for the SRS of the associated geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_BBOX_NAME

    public static final String QUERY_BBOX_NAME

  Bounding box of the query (null if it is not present).

  See Also:
    Constant Field Values

Constructor Detail

### SpecialContent

    public SpecialContent(String variableName)

  Initializes a newly created `SpecialContent` object so that it represents the given variable.

  Parameters:
    `variableName` -
  Throws:
    `IllegalArgumentException` - if given variable is not known

Method Detail

### getVariable

    public SpecialContent.VARIABLE getVariable()

  Returns the `SpecialContent.VARIABLE`.

  Returns:
    the variable

### getKnownVariables

    public static String[] getKnownVariables()

  Returns all known variable names.

  Returns:
    all known variable names

### getSRS

    public int getSRS()

  Returns the vendor dependent descriptor for the SRS of the associated geometry.

  Returns:
    vendor dependent descriptor for the SRS, may be null

### setSRS

    public void setSRS(int internalSRS)

  Sets the vendor dependent descriptor for the SRS of the associated geometry.

  Parameters:
    `internalSRS` - the vendor dependent descriptor for the SRS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org